---
apiVersion: snapshot.storage.k8s.io/v1
kind: VolumeSnapshotContent
metadata:
  annotations:
    snapshot.storage.kubernetes.io/deletion-secret-name: rook-csi-rbd-provisioner
    snapshot.storage.kubernetes.io/deletion-secret-namespace: openshift-storage
  creationTimestamp: "2025-10-29T12:43:42Z"
  finalizers:
  - snapshot.storage.kubernetes.io/volumesnapshotcontent-bound-protection
  generation: 1
  managedFields:
  - apiVersion: snapshot.storage.k8s.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:snapshot.storage.kubernetes.io/deletion-secret-name: {}
          f:snapshot.storage.kubernetes.io/deletion-secret-namespace: {}
        f:finalizers:
          .: {}
          v:"snapshot.storage.kubernetes.io/volumesnapshotcontent-bound-protection": {}
      f:spec:
        .: {}
        f:deletionPolicy: {}
        f:driver: {}
        f:source:
          .: {}
          f:volumeHandle: {}
        f:sourceVolumeMode: {}
        f:volumeSnapshotClassName: {}
        f:volumeSnapshotRef: {}
    manager: snapshot-controller
    operation: Update
    time: "2025-10-29T12:43:42Z"
  - apiVersion: snapshot.storage.k8s.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        .: {}
        f:creationTime: {}
        f:readyToUse: {}
        f:restoreSize: {}
        f:snapshotHandle: {}
    manager: csi-snapshotter
    operation: Update
    subresource: status
    time: "2025-10-29T12:43:43Z"
  name: snapcontent-6f877a37-a2fc-4659-bae4-d086718e19dd
  resourceVersion: "2192481"
  uid: ee0ceaf7-b4f7-4b4c-b834-675740b9b5c8
spec:
  deletionPolicy: Delete
  driver: openshift-storage.rbd.csi.ceph.com
  source:
    volumeHandle: 0001-0011-openshift-storage-0000000000000002-5ad90c5b-0731-47ba-94ec-61e0bbc558e4
  sourceVolumeMode: Block
  volumeSnapshotClassName: ocs-storagecluster-rbdplugin-snapclass
  volumeSnapshotRef:
    apiVersion: snapshot.storage.k8s.io/v1
    kind: VolumeSnapshot
    name: vmsnapshot-14208742-0d66-4c37-860b-fb4fb00c26df-volume-dv-disk
    namespace: test-upgrade-namespace
    resourceVersion: "2192439"
    uid: 6f877a37-a2fc-4659-bae4-d086718e19dd
status:
  creationTime: 1761741822810171008
  readyToUse: true
  restoreSize: 1073741824
  snapshotHandle: 0001-0011-openshift-storage-0000000000000002-718371d6-7f5a-407b-9fa5-41a0e331eab9
